"use client";
import { useRouter } from "next/navigation";
import Image from "next/image";
import { useGlobalContext } from "@/providers/GlobalProvider";

export default function Header() {
  const router = useRouter();
  const { menuIndex } = useGlobalContext();

  return (
    <>
      <div className="fixed bottom-0 left-0 right-0 py-1 bg-[#ffffff] dark:bg-[#202123] shadow-2xl shadow-black z-50">
        <div className="flex justify-around items-center py-1 text-gray-500 dark:text-gray-400 hover:text-gray-900 dark:hover:text-white hover:bg-gray-50 dark:hover:bg-gray-800 text-center text-sm">
          <a className={menuIndex == 1 ? "bg-blue-50 dark:bg-blue-950 text-[#0061ff] rounded px-3":"px-3"} onClick={() => router.push("/dialogue")}>
            <Image
              src="/icons/icon-talk.svg"
              alt="聊天"
              width={28}
              height={28}
            />
            <p className="text-sm text-center py-1">对话</p>
          </a>
          <a className={menuIndex == 2 ? "bg-blue-50 dark:bg-blue-950 text-[#0061ff] rounded px-3":"px-3"} onClick={() => router.push("/")}>
            <Image
              src="/icons/icon-app.svg"
              alt="应用"
              width={28}
              height={28}
            />
            <p className="text-sm text-center py-1">应用</p>
          </a>
          <a className={menuIndex == 3 ? "bg-blue-50 dark:bg-blue-950 text-[#0061ff] rounded px-3":"px-3"} onClick={() => router.push("/vip")}>
            <Image
              src="/icons/icon-vip.svg"
              alt="会员"
              width={28}
              height={28}
            />
            <p className="text-sm text-center py-1">会员</p>
          </a>
          <a className={menuIndex == 4 ? "bg-blue-50 dark:bg-blue-950 text-[#0061ff] rounded px-3":"px-3"} onClick={() => router.push("/help")}>
            <Image
              src="/icons/icon-question.svg"
              alt="帮助"
              width={28}
              height={28}
            />
            <p className="text-sm text-center py-1">帮助</p>
          </a>
        </div>
      </div>
    </>
  );
}
