"use client";
import React, {
  createContext,
  useState,
  useContext,
  ReactNode,
  useEffect,
} from "react";

const GlobalContext = createContext<any>(null);

interface GlobalProviderProps {
  children: ReactNode;
}

export const GlobalProvider: React.FC<GlobalProviderProps> = ({ children }) => {
  const [menuIndex, setMenuIndex] = useState<number>(0);
  const [loginShow, setLoginShow] = useState<boolean>(false);
  const [uploadUserInfoState, setUploadUserInfoState] = useState<boolean>(false);

  const changeMenuIndex = (index: number) => {
    setMenuIndex(index);
  };
  const changeLoginShow = (show: boolean) => {
    setLoginShow(show);
  };
  const changeUploadUserInfoState = (value: boolean) => {
    setUploadUserInfoState(value);
  };
  
  useEffect(() => {
  }, []);

  return (
    <GlobalContext.Provider
      value={{
        menuIndex,
        changeMenuIndex,
        loginShow,
        changeLoginShow,
        uploadUserInfoState,
        changeUploadUserInfoState
      }}
    >
      {children}
    </GlobalContext.Provider>
  );
};

export const useGlobalContext = () => {
  return useContext(GlobalContext);
};
