/**
 * 分页
 * 
 * @property {T} data - 数据
 * @property {number} total -  总数
 */
export interface PageResult<T> {
    data: T;
    total: number;
}

/**
 * 加载
 * 
 * @property {T} data - 数据
 * @property {boolean} hasMore -  是否还有更多
 */
export interface PageMoreResult<T> {
    data: T;
    hasMore: boolean;
}

/**
 * 分页
 * 
 * @property {number} page - 当前页
 * @property {number} pageSize - 每页条数
 */
export interface Paging {
    page: number;
    pageSize: number;
}
